Skip to main content
Infrastructure/Assets
GETAssetLinkSince 1.1.0SynchronousAuth Required

GetK8SClusterHosting

Get the hosting record for one K8s cluster discovered on a Zaku platform.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • platformUuidStringRequired

    平台UUID。

  • clusterIdStringRequired

    集群唯一标识。

Responses

200 OK

On success, this API returns the following response structure.

  • platformUuidString

    Platform uuid for this resource

    Example: value

  • clusterIdString

    Cluster id for this resource

    Example: 10

  • clusterUuidString

    Cluster uuid for this resource

    Example: value

  • clusterNameString

    Cluster name for this resource

    Example: value

  • hostingRegionUuidString

    Hosting region uuid for this resource

    Example: value

  • hostingZoneUuidString

    Hosting zone uuid for this resource

    Example: value

  • hostingPlatformUuidString

    Hosting platform uuid for this resource

    Example: value

  • sourceDetectionString

    Source detection for this resource

    Example: value

  • hostingConfidenceLong

    Confidence score of the inferred hosting relationship

    Example: 0.85

  • hostingDetailsString

    Hosting details for this resource

    Example: value

Endpoint

GET/api/v1/asset-links/hosting/k8s-clusters/{platformUuid}/{clusterId}

/api/v1/asset-links/hosting/k8s-clusters/{platformUuid}/{clusterId}

Operation ID

GetK8SClusterHosting

Permalink

Request Example

curl -X GET '{host}/api/v1/asset-links/hosting/k8s-clusters/platform-uuid/101' -H 'Authorization: Bearer {token}'

Response Example

200
{"platformUuid": "value", "clusterId": 10, "clusterUuid": "value", "clusterName": "value", "hostingRegionUuid": "value", "hostingZoneUuid": "value", "hostingPlatformUuid": "value", "sourceDetection": "value"}

Change History

This API has no change history records yet.

View all change history